#!/bin/bash
playlist=""
folder="download/$playlist"
format="bestaudio"
youtube-dl -f "$format" --min-filesize 1k --restrict-filenames --no-overwrites --no-mtime --add-metadata -o "${folder}-%(playlist_title)s/raw/%(playlist_index)03d%(title)s-%(id)s.%(ext)s" "https://youtube.com/playlist?list=$playlist"
#not supported: --embed-thumbnail --xattrs
#debug: --playlist-end 3

#convert to ogg
cd $folder*
mkdir -p "ogg/raw/"
pwd
find "raw/" -type f -exec bash -c "~/git/ffmpeg/ffmpeg -i {} ogg/{}.ogg" \;
mv ogg/raw/* "ogg/"
rm -r "ogg/raw/"

