#!/bin/bash
#small script, that fixes wrong includes (case insensitive to case sensitive) from windows sourcecode
#requires: sed, awk, bash

sedfile="includes.sed"
srcf="src/"

echo "generate sedfile"
ls ${srcf}*.h | cut -d "/" -f 2 | awk '{print "s/#include \"" $0 "\"/#include \"" $0 "\"/Ig"}' > "$sedfile"

#anwenden
for f in ${srcf}*; do
	echo "fix includes for: $f"
	sed -Ef $sedfile "$f" > "$f.fixed"
	mv "$f.fixed" "$f"
done

echo "delete sedfile"
rm $sedfile
